IMPLEMENTATION MODULE Args;

IMPORT Lib, Str;


PROCEDURE Reset();
BEGIN
  cnt := Lib.ParamCount();
  idx := 1;
  sym := symNull;
  lit[0] := 0C;
  len := 0;
END Reset;

PROCEDURE Read();
BEGIN
  IF idx > cnt THEN
    lit[0] := 0C;
    len := 0;
    sym := symEOA;
  ELSE
    Lib.ParamStr( lit, idx );
    INC( idx );
    len := Str.Length( lit );
    sym := symArg;
    IF ( ( lit[0] = '-' ) OR ( lit[0] = '/' ) ) & ( len > 1 ) THEN
      Str.Delete( lit, 0, 1 );
      DEC( len );
      sym := symOpt;
    END;
  END;
END Read;


BEGIN
  Reset();
END Args.
